"""
Created on 03.10.2011

@author: christian
"""
import django.contrib.auth.views as auth_views
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^activate/(?P<activation_key>[\d\w]+)/$',
        views.ActivateRegistration.as_view(),
        name='membership-activate-registration'),
    url(r'^activation_sent/$',
        views.ActivationSent.as_view(),
        name="membership-registration-complete"),
    url(r'^login/$', auth_views.LoginView.as_view(), name='login'),
    url(r'^logout/$', auth_views.LogoutView.as_view(), name='logout'),
    url(r'^password_change/$', auth_views.PasswordChangeView.as_view(),
        name='password_change'),
    url(r'^password_change/done/$', auth_views.PasswordChangeDoneView.as_view(),
        name='password_change_done'),
    url(r'^password_reset/$', auth_views.PasswordResetView.as_view(),
        name='password_reset'),
    url(r'^password_reset/done/$', auth_views.PasswordResetDoneView.as_view(),
        name='password_reset_done'),
    url(r'^register/$', views.RegisterForm.as_view(),
        name="membership-register"),
    url(
        r'^reset/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$',
        auth_views.PasswordResetConfirmView.as_view(),
        name='password_reset_confirm'),
    url(r'^reset/done/$', auth_views.PasswordResetCompleteView.as_view(),
        name='password_reset_complete'),
    url(r'^(?P<username>[\-\.\d\w]+)/$',
        views.MembershipDetail.as_view(), name='membership-details'),
    url(r'^(?P<username>[\-\.\d\w]+)/edit/$',
        views.EditMembership.as_view(), name="membership-edit")
]
